Photoshop: What version of Photoshop is compatible with my system?

  • 1
  • Question
  • Updated 7 years ago
  • Answered
  • (Edited)
I need a Photoshop for a computer with follow system: Win7, 1GHz, 4GB RAM, What version of Photoshop can I use? Maybe CS4 or older?
Photo of Edgar Kube

Edgar Kube

  • 2 Posts
  • 0 Reply Likes

Posted 7 years ago

  • 1
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14549 Posts
  • 1893 Reply Likes
Official Response
This document lists the system requirements for every version of Photoshop released:

System requirements | Photoshop